Debian Bug report logs - #588586
python-mock: doesn't depend on python

version graph

Package: python-mock; Maintainer for python-mock is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-mock is src:python-mock.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Fri, 9 Jul 2010 22:09:01 UTC

Severity: serious

Tags: patch

Found in version python-mock/0.6.0-1

Fixed in version python-mock/0.6.0-1.1

Done: Marek Kubica <marek@xivilization.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, David Watson <david@kutoken.com>:
Bug#588586; Package python-mock. (Fri, 09 Jul 2010 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, David Watson <david@kutoken.com>. (Fri, 09 Jul 2010 22:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-mock: doesn't depend on python
Date: Fri, 9 Jul 2010 23:05:18 +0200
[Message part 1 (text/plain, inline)]
Package: python-mock
Version: 0.6.0-1
Severity: serious
Tags: patch
Justification: Debian Policy 3.5, Python Policy 2.4

Hello,

python-mock does not depend on python as it should. The attached patch 
fixes this bug.

-- 
Jakub Wilk
[python-mock-python-dep.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Watson <david@kutoken.com>:
Bug#588586; Package python-mock. (Sat, 17 Jul 2010 11:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marek Kubica <marek@xivilization.net>:
Extra info received and forwarded to list. Copy sent to David Watson <david@kutoken.com>. (Sat, 17 Jul 2010 11:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 588586@bugs.debian.org (full text, mbox):

From: Marek Kubica <marek@xivilization.net>
To: 588586@bugs.debian.org
Subject: Re: python-mock: doesn't depend on python
Date: Sat, 17 Jul 2010 12:53:17 +0200
[Message part 1 (text/plain, inline)]
tags 588586 +pending
thanks

Hi,

In the course of todays BSP in Munich, I created an NMU patch, you'll
find it attached. I applied Jakub's patch unchanged. We will propably
upload it by the end of the BSP.

regards,
Marek
[python-mock_0.6.0-1.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Marek Kubica <marek@xivilization.net> to control@bugs.debian.org. (Sat, 17 Jul 2010 11:18:08 GMT) Full text and rfc822 format available.

Reply sent to Marek Kubica <marek@xivilization.net>:
You have taken responsibility. (Sun, 18 Jul 2010 12:51:11 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sun, 18 Jul 2010 12:51:11 GMT) Full text and rfc822 format available.

Message #17 received at 588586-close@bugs.debian.org (full text, mbox):

From: Marek Kubica <marek@xivilization.net>
To: 588586-close@bugs.debian.org
Subject: Bug#588586: fixed in python-mock 0.6.0-1.1
Date: Sun, 18 Jul 2010 12:47:37 +0000
Source: python-mock
Source-Version: 0.6.0-1.1

We believe that the bug you reported is fixed in the latest version of
python-mock, which is due to be installed in the Debian FTP archive:

python-mock_0.6.0-1.1.diff.gz
  to main/p/python-mock/python-mock_0.6.0-1.1.diff.gz
python-mock_0.6.0-1.1.dsc
  to main/p/python-mock/python-mock_0.6.0-1.1.dsc
python-mock_0.6.0-1.1_all.deb
  to main/p/python-mock/python-mock_0.6.0-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marek Kubica <marek@xivilization.net> (supplier of updated python-mock package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Jul 2010 12:27:08 +0200
Source: python-mock
Binary: python-mock
Architecture: source all
Version: 0.6.0-1.1
Distribution: unstable
Urgency: low
Maintainer: David Watson <david@kutoken.com>
Changed-By: Marek Kubica <marek@xivilization.net>
Description: 
 python-mock - Mocking and Testing Library
Closes: 588586
Changes: 
 python-mock (0.6.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "doesn't depend on python" by applying patch to debian/control
     by Jakub Wilk (Closes: #588586)
Checksums-Sha1: 
 0bf551b76fe2d09cd8ad771333752f8cfa855f6f 1136 python-mock_0.6.0-1.1.dsc
 5fe6016f4a09145524d2653e1c0b22636e2a02fa 2475 python-mock_0.6.0-1.1.diff.gz
 c1b5d6379cfddd68b037ebc139c22270b962db4d 59282 python-mock_0.6.0-1.1_all.deb
Checksums-Sha256: 
 4176208d44439f22e97eec0cfb7b98638f0920655c071b5f21ef34e94fa865c0 1136 python-mock_0.6.0-1.1.dsc
 048b5f98f48b1953a21cba190911adb472b65639b6ffaeed1f117ccea6464049 2475 python-mock_0.6.0-1.1.diff.gz
 56a3f5433bf129916b90725851b2aa3aaee24781f1f5e24478b6afdfcc188374 59282 python-mock_0.6.0-1.1_all.deb
Files: 
 d30bd14a49ebefeef20b70c7e2c60b56 1136 python extra python-mock_0.6.0-1.1.dsc
 004efeced5d9c9a87608e37394449971 2475 python extra python-mock_0.6.0-1.1.diff.gz
 ebe922db1095e04252d21781bed6de0a 59282 python extra python-mock_0.6.0-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMQvPpmHaJYZ7RAb8RAyRtAKDDbFQjXgjd2Ylfv+StYtkiHhLWVgCfQtK8
PJGFym1GRtmSt/DUMS463E8=
=y+Wu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Aug 2010 07:38:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:53:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.